Bug 251504 - GPARTED - Segmentation fault if used while a dvd is inserted
Summary: GPARTED - Segmentation fault if used while a dvd is inserted
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gparted (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i686 Linux
low
low
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-09 14:13 UTC by aldo furlan
Modified: 2007-12-16 21:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-16 21:11:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description aldo furlan 2007-08-09 14:13:54 UTC
Description of problem:

Version-Release number of selected component (if applicable):

 [root@dell ~]# rpm -qv gparted
 gparted-0.3.3-3.fc6

How reproducible:
Inserting a dvd.

Steps to Reproduce:
1. Insert a dvd and mount it (automatically)
2. Start gparted from kmenu: you see a windows opening and closing near immediately.
3.Start from a root console and you get:
--------------------------------------
  [root@dell ~]# gparted
 ======================
 libparted : 1.8.2
 ======================
 Non posso aprire /dev/hdc in lettura/scrittura (Read-only file system).   
/dev/hdc è stato aperto in sola lettura.
 No such file or directory durante la lettura su /dev/md0
 Non posso aprire /dev/hdc in lettura/scrittura (Read-only file system). 
/dev/hdc è stato aperto in sola lettura.

 Segmentation fault
----------------------
You see for a moment the opening and closing of the gparted windows .


Actual results:

I started gparted without dvd inserted (unmounted?) and it works. Inserting a
dvd and clicking "refresh" in menu closes the gparted windows and terminate the
program.

Comment 1 Deji Akingunola 2007-08-20 09:46:15 UTC
I'm sorry I can't reproduce this on both F7 and rawhide, and I don't have access
to a FC6.

Comment 2 Deji Akingunola 2007-12-16 21:11:23 UTC
Since FC-6 has been EOL-ed, and I can't reproduce this on anything newer, I'll
go ahead and close this bug. If you have opportunity, please upgrade to latest
Fedora (F8 at the moment) and reopen this bug if it persists.
Thank you.


Note You need to log in before you can comment on or make changes to this bug.